<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk forum
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');

$oVIP->selfurl = 'qtf_index.php';

// --------
// SECURITY
// --------

if ( $_SESSION[QT]['board_offline']=='1' )
{
  include('qtf_p_header.php');

  $strFile = $_SESSION[QT]['language'].'/sys_offline.txt';
  if ( file_exists($strFile) ) { include($strFile); } else { echo "<h1>Board off-line</h1><p>The administrator has turned this board off-line.<br/>Please wait...</p>\n"; }
  include('qtf_p_footer.php');
  exit;
}

if ( $_SESSION[QT]['visitor_right']<1 && $oVIP->role=='V' )
{
  include('qtf_p_header.php');
  HtmlMsg(0);
  echo $L['R_login_register'];
  HtmlMsg(1);
  include('qtf_p_footer.php');
  exit;
}

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qtf_p_header.php');

// END IF NO DOMAIN
if ( count($_SESSION['qtfDom'])==0 )
{
echo '<br/>',$L['E_no_public_section'],'<br/><br/>';
include('qtf_p_footer.php');
exit;
}

// --------
// DOMAIN / SECTIONS
// --------

$intDom = 0;
foreach ($_SESSION['qtfDom'] as $intDomid => $strDomtitle)
{

  $intDom++;
  $arrSections = GetSections($oVIP->role,$intDomid);

  if ( count($arrSections)>0 )
  {
    echo '<!-- domain ',$intDomid,': ',$strDomtitle,' -->',N;
    echo '<table class="ta ta_s" cellspacing="0">',N;
    echo '<colgroup span="5"><col width="35"></col><col></col><col width="150"></col><col width="60"></col><col width="60"></col></colgroup>',N;
    echo '<tr class="tr_s tr_s0">',N;
    echo '<th class="th_s th_s_ico th_s_first">',S,'</th>',N;
    echo '<th class="th_s th_s_tit">',$strDomtitle,'</th>',N;
    echo '<th class="th_s th_s_inf">',$L['Last_message'],'</th>',N;
    echo '<th class="th_s th_s_sta">',$L['Topics'],'</th>',N;
    echo '<th class="th_s th_s_sta th_s_last">',$L['Replys'],'</th>',N;
    echo '</tr>',N;

    // SHOW SECTIONS
    
    $i=0;
    $strAlt='1';

    foreach ($arrSections as $intSection => $arrSection)
    {
      $i++;
      $oSEC = new cSection($arrSection,true);      
      echo '<tr class="tr_s tr_s',$strAlt,'">',N;
      echo '<td class="td_s td_s_ico',$strAlt,' td_s_first">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSEC->type.'_'.$oSEC->status.'.gif','F',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico ico_s',null,'qtf_topics.php?s='.$oSEC->id),'</td>',N;
      echo '<td class="td_s td_s_tit',$strAlt,'"><a class="a_section" href="qtf_topics.php?s=',$oSEC->id,'" >',$oSEC->name,'</a><br/><span class="p_sectiondescr">',$oSEC->descr,'</span></td>',N;
      echo '<td class="td_s td_s_inf',$strAlt,'">',N;
      if ( $oSEC->topics<1 )
      {
      echo S;
      }
      else
      {
        if ( isset($oSEC->lastpostid) )
        {
        echo QTdate($oSEC->lastpostdate,$arrQTdate);
        echo ' <a href="qtf_topic.php?s=',$oSEC->id,'&amp;t=',$oSEC->lastposttopic,'#p',$oSEC->lastpostid,'" title="',$L['H_Goto_message'],'">',$L['Goto_message'],'</a><br/>',strtolower($L['By']).' <a href="qtf_usr.php?id=',$oSEC->lastpostuser,'" title="',$L['Ico_user_p_1'],'" class="small">',$oSEC->lastpostname,'</a>';
        }
        else
        {
        echo S;
        }
      }
      echo '</td>',N;
      echo '<td class="td_s td_s_sta',$strAlt,'">',$oSEC->topics,'</td>',N;
      echo '<td class="td_s td_s_sta',$strAlt,' td_s_last">',$oSEC->replies,'</td>',N;
      echo '</tr>',N;
      if ( $strAlt=='1' ) { $strAlt='2'; } else { $strAlt='1'; }
    }

    echo '<tr class="tr_s tr_s9">',N;
    echo '<td class="tf_s tf_s_first"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s"></td>',N;
    echo '<td class="tf_s tf_s_last"></td>',N;
    echo '</tr>',N;

    echo '</table>',N;
    if ( $intDom<count($_SESSION['qtfDom']) ) echo '<!-- domain separator -->',N,'<div class="div_dom_separator"></div>',N;
  }
}

// HTML END

if ( isset($oSEC) ) unset($oSEC);
include('qtf_p_footer.php');

?>