<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',5,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

include('bin/qtf_fn_limitsql.php');

// Protection against injection: order and dir are controlled
$strOrder = 'lastpostdate';
$strDirec = 'DESC';
$intPage  = 1;
$intLimit = 0;
if ( isset($_GET['page']) )  { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) { $strOrder = strip_tags(substr($_GET['order'],0,15)); } // protection against injection
if ( isset($_GET['dir']) )   { if ( $_GET['dir']=='ASC' ) $strDirec = 'ASC'; }        // protection against injection

$bAddRef = false;
$s = -1;
$strK  = '';
$strSP = '0';
$strTO = '0';
$strAL = '0';
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_GET['title']) ) $strK = $_GET['title'];
if ( isset($_GET['sp']) ) $strSP = $_GET['sp'];
if ( isset($_GET['to']) ) $strTO = $_GET['to'];
if ( isset($_GET['al']) ) $strAL = $_GET['al'];

if ($oVIP->numpost>0)
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}
$oVIP->selfurl = 'qtf_search_kw.php';
$oVIP->selfname = $L['Search_by_key'];
$oVIP->exiturl = 'qtf_search.php?'.QTargimplode(QTargexplode());
$oVIP->exitname = $L['Search'];

// --------
// CHECK CRITERIA
// --------

if ( $strK=='' )
{
  // exit
  $oVIP->EndMessage(NULL,$L['Keywords'].' K '.$L['E_invalid'],$_SESSION[QT]['skin_dir'],0);
}
$arrKeys = split(' ',$strK);

if ( $strSP!='0' && $strSP!='1' )
{
  // exit
  $oVIP->EndMessage(NULL,$L['Keywords'].' S= $strSP > '.$L['E_invalid'],$_SESSION[QT]['skin_dir'],0);
  exit;
}
if ( $strTO!='0' && $strTO!='1' )
{
  // exit
  $oVIP->EndMessage(NULL,$L['In_title_only'].' TO '.$L['E_invalid'],$_SESSION[QT]['skin_dir'],0);
  exit;
}
if ( !QTisbetween($strAL,0,9) )
{
  // exit
  $oVIP->EndMessage(NULL,'At_least '.$L['E_invalid'],$_SESSION[QT]['skin_dir'],0);
  exit;
}
if ( $strSP=='1' )
{
  if ( count($arrKeys)<1 ) $strSP='0';
  if ( count($arrKeys)>5 )
  {
  // exit
  $oVIP->EndMessage(NULL,$L['Too_many_keys'],$_SESSION[QT]['skin_dir'],0);
  exit;
  }
}

// --------
// BUILD CRITERIA
// --------

// full word criteria
$qryTitle = 'UPPER(p.title) LIKE "%'.strtoupper($strK).'%"';

switch ($oDB->type)
{
case 'db2':  $qryMessage = 'UPPER(p.textmsg2) LIKE "%'.strtoupper($strK).'%"'; break;
case 'ifx':  $qryMessage = 'UPPER(p.textmsg2) LIKE "%'.strtoupper($strK).'%"'; break;
default:     $qryMessage = 'UPPER(p.textmsg) LIKE "%'.strtoupper($strK).'%"'; break;
}

// split criteria
if ( $strSP=='1' )
{
  $qryTitle   = '(';
  $qryMessage = '(';
  $qryOr = '';
  foreach ($arrKeys as $intKey => $strValue)
  {
    $qryTitle .= $qryOr.'UPPER(p.title) LIKE "%'.strtoupper($strValue).'%"';
    
    switch ($oDB->type)
    {
    case 'db2': $qryMessage .= $qryOr.'UPPER(p.textmsg2) LIKE "%'.strtoupper($strValue).'%"'; break;
    case 'ifx': $qryMessage .= $qryOr.'UPPER(p.textmsg2) LIKE "%'.strtoupper($strValue).'%"'; break;
    default:    $qryMessage .= $qryOr.'UPPER(p.textmsg) LIKE "%'.strtoupper($strValue).'%"'; break;
    }      
    $qryOr = ' OR ';
  }
  $qryTitle   .= ') ';
  $qryMessage .= ') ';
}

// forum criteria
$qrySection = 't.forum='.$s;
if ( $s<0 )
{
  $qrySection = 't.forum>=0 AND f.type<>"1"';
  if ( $oVIP->role=='A' || $oVIP->role=='M' ) $qrySection = 't.forum>=0';

  // check if result would have references
  if ( count(GetSections($oVIP->role,-1,-1,'numfield<>"N"'))>0 ) $bAddRef=TRUE;
}
else
{
  // check if result would have references
  if ( count(GetSections('A',-1,-1,'numfield<>"N" AND id='.$s))>0 ) $bAddRef=True;
}

// atleast criteria
$qryAtleast='';
if ($strAL>0) $qryAtleast = ' AND t.replies>='.$strAL;

// BUILD QUERY

$qryCount = 'SELECT count(*) as countid ';
$qryField = 't.*, f.title as forumtitle, p.icon, p.title, p.textmsg, f.numfield ';
$strFrom = 'FROM '.TABTOPIC.' t INNER JOIN '.TABSECTION.' f ON t.forum = f.id INNER JOIN '.TABPOST.' p ON t.id = p.topic ';
if ($strTO=='1')
{
  $strWhere = "WHERE $qrySection AND $qryTitle $qryAtleast ";
}
else
{
  $strWhere = "WHERE $qrySection AND ($qryTitle OR $qryMessage) $qryAtleast  ";
}

// --------
// CONTENT
// --------

$arrJava = array('com'=>false);

include('qtf_p_header.php');

// BUTTONS

echo '
<table class="ta_button" cellspacing="0">
<tr class="tr_button">
<td>&nbsp;</td>
<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','-',''),'</td>
<td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=last" class="a_button">',$L['Recent_messages'],'</a>&nbsp;</td>
<td style="width:10px">&nbsp;</td>
<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','-',''),'</td>
<td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=news" class="a_button">',$L['All_news'],'</a>&nbsp;</td>',N;
if ($oVIP->role!='V')
{
  echo '<td style="width:10px">&nbsp;</td>
  <td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',''),'</td>
  <td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=user&amp;id=',$oVIP->id,'&amp;n=',$oVIP->username,'" class="a_button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>
</table>
';

// -----
// COUNT
// -----

$oDB->Query( $qryCount.$strFrom.$strWhere );
$row = $row = $oDB->Getrow();
$intCount = $row['countid'];

// NO RESULT

if ( $intCount==0 )
{
  $strSubtitle='';
  if ( $s>=0 ) $strSubtitle = ' ('.$L['Section'].': '.(isset($_SESSION['qtfSec'][$s]) ? $_SESSION['qtfSec'][$s] : '').')';

  echo '<h2>',$oVIP->selfname,'</h2>',N;
  echo $strK,$strSubtitle,'&nbsp;&nbsp;&middot;&nbsp;&nbsp;',LangS('Result',$intCount),N;
  if ( $strSP=='0' && count($arrKeys)>1 )
  {
  echo '&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href="',$oVIP->selfurl,'?title=',$strK,'&amp;sp=1&amp;s=',$s,'&amp;to=',$strTO,'&amp;al=',$strAL,'">',$L['Search_by_words'],'</a>';
  }
  if ( $strSP=='1' && count($arrKeys)>1 )
  {
  echo '&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href="',$oVIP->selfurl,'?title=',$strK,'&amp;sp=0&amp;s=',$s,'&amp;to=',$strTO,'&amp;al=',$strAL,'">',$L['Search_exact_words'],'</a>';
  }
  echo '<p>',$L['None'],'</p>',N;
  echo '<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>';
  include('qtf_p_footer.php');
  exit;
}

// -----
// QUERY
// -----

  // order
  $strFullOrder = 't.'.$strOrder.' '.$strDirec;
  if ( $strOrder=='title' ) $strFullOrder='p.title'.' '.$strDirec;
  if ( $strOrder=='forumtitle' ) $strFullOrder='f.title'.' '.$strDirec;  
  // second order
  if ( $strOrder!='lastpostdate' ) $strFullOrder .= ',t.lastpostdate DESC';

$oDB->Query( LimitSQL($qryField.$strFrom.$strWhere,$strFullOrder,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );

// -- Display result --

echo '<h2>',$oVIP->selfname,'</h2>',N;
echo $strK,'&nbsp;&nbsp;&middot;&nbsp;&nbsp;',LangS('Result',$intCount),N;
if ( $strSP=='0' && count($arrKeys)>1 )
{
echo '&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href="',$oVIP->selfurl,'?title=',$strK,'&amp;sp=1&amp;s=',$s,'&amp;to=',$strTO,'&amp;al=',$strAL,'">',$L['Search_by_words'],'</a>';
}
if ( $strSP=='1' && count($arrKeys)>1 )
{
echo '&nbsp;&nbsp;&middot;&nbsp;&nbsp;<a href="',$oVIP->selfurl,'?title=',$strK,'&amp;sp=0&amp;s=',$s,'&amp;to=',$strTO,'&amp;al=',$strAL,'">',$L['Search_exact_words'],'</a>';
}

// --------
// Button line and pager
// --------

// -- build pager --

$pager = MakePager("$oVIP->selfurl?title=$strK&amp;sp=$strSP&amp;s=$s&amp;to=$strTO&amp;al=$strAL",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ($pager!='') $pager = $L['Page'].$pager;

$strCommand = $pager;

// -- Displays pager --

echo '<table class="ta_hidden" cellspacing="0"><tr class="tr_hidden"><td class="td_hidden" style="text-align:right;padding:4px;">',$strCommand,'</td></tr></table>',N;

// --------
// Post content
// --------

echo '<table class="ta ta_t" cellspacing="0">',N;
echo '<tr class="tr_t tr_t0">',N;

  /* ======== */
  $arrFields = array(); // SORT LABEL CLASS STYLE
  $arrFields['icon']  = array(FALSE,S, 'th_t th_t_ico th_t_first', 'width:25px');
  if ( $bAddRef ) 
  {
  $arrFields['numid'] = array(TRUE, $L['Ref'], 'th_t th_t_ref', 'width:50px');
  }
  if ( QTF_PREFIX_ICON )
  {
  $arrFields['smile'] = array(FALSE,S, 'th_t th_t_inf', 'width:20px');
  }
  $arrFields['title'] = array(TRUE, $L['Topics'], 'th_t th_t_tit', '');
  $arrFields['you']   = array(FALSE,S, 'th_t th_t_inf', 'width:10px');
  $arrFields['forum'] = array(TRUE, $L['Section'], 'th_t th_t_inf', '');// use forum instead of forumtitle !
  $arrFields['firstpostname']= array(TRUE, $L['Topic_starter'], 'th_t th_t_inf', 'width:120px');
  $arrFields['lastpostdate'] = array(TRUE, $L['Last_message'], 'th_t th_t_inf', 'width:130px');
  $arrFields['replies']      = array(TRUE, $L['Replys'], 'th_t th_t_inf th_t_last', 'width:70px;text-align:center');
  /* ======== */
  TableHeader($arrFields,$intCount,"$oVIP->selfurl?title=$strK&amp;sp=$strSP&amp;s=$s&amp;to=$strTO&amp;al=$strAL&amp;page=1",$strOrder,$strDirec);
  /* ======== */

echo '</tr>',N;

  /* ======== */
  $bAddPrefix = true;
  $bAddSection = true;
  $bAddViews = false;
  $strExtra='replies';
  include('qtf_topics_inc.php');
  /* ======== */

echo '<tr class="tr_t tr_t9">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N;

// -- Displays pager --

echo '<table class="ta_hidden" cellspacing="0"><tr class="tr_hidden"><td class="td_hidden" id="zone_pager_bot">',$strCommand,'</td></tr></table>';

echo '<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>';

// HTML END

include('qtf_p_footer.php');