<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',5,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

include('bin/qtf_fn_limitsql.php');

// Protection against injection: 'order' and 'dir' are controlled
$strOrder = 'lastpostdate';
$strDirec = 'DESC';
$intPage  = 1;
$intLimit = 0;
$intCount = 0;
if ( isset($_GET['page']) )  { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) { $strOrder = strip_tags(substr($_GET['order'],0,15)); } // protection against injection
if ( isset($_GET['dir']) )   { if ( $_GET['dir']=='ASC' ) $strDirec = 'ASC'; }        // protection against injection

if ( $oVIP->numpost>0 )
{
$oDB2 = new cDB($qtf_dbsystem,$qtf_host,$qtf_database,$qtf_user,$qtf_pwd,$qtf_port,$qtf_dsn);
}

$oVIP->selfurl = 'qtf_search_ov.php';
$oVIP->selfname = $L['Search_result'];
$oVIP->exiturl = 'qtf_search.php';
$oVIP->exitname = $L['Search'];

$bAddRef = false;
if ( count(GetSections($oVIP->role,-1,-1,'numfield<>"N"'))>0 ) $bAddRef=TRUE;

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qtf_p_header.php');

echo '
<table class="ta_button" cellspacing="0">
<tr class="tr_button">
<td>&nbsp;</td>
<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','-',''),'</td>
<td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=last" class="a_button">',$L['Recent_messages'],'</a>&nbsp;</td>
<td style="width:10px">&nbsp;</td>
<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','-',''),'</td>
<td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=news" class="a_button">',$L['All_news'],'</a>&nbsp;</td>',N;
if ($oVIP->role!='V')
{
  echo '<td style="width:10px">&nbsp;</td>
  <td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',''),'</td>
  <td style="width:120px" class="td_button">&nbsp;<a href="qtf_search_ov.php?a=user&amp;id=',$oVIP->id,'&amp;n=',$oVIP->username,'" class="a_button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>
</table>
';

echo '<h2>',$oVIP->selfname,'</h2>
';

// check request

if ( !isset($_GET['a']) ) exit;

$strSelect = 't.*, f.title as forumtitle, f.numfield, p.icon, p.title, p.textmsg ';
$strFrom = 'FROM '.TABTOPIC.' t INNER JOIN '.TABSECTION.' f ON t.forum = f.id INNER JOIN '.TABPOST.' p ON t.firstpostid = p.id ';
$extraparam = '';

  // order
  $strFullOrder = 't.'.$strOrder.' '.$strDirec;
  if ( $strOrder=='title' ) $strFullOrder='p.title'.' '.$strDirec;
  if ( $strOrder=='forumtitle' ) $strFullOrder='f.title'.' '.$strDirec;  
  // second order
  if ( $strOrder!='lastpostdate' ) $strFullOrder .= ',t.lastpostdate DESC';

if ( $_GET['a']=='last' )
{
  $overview = $L['Recent_messages'];

  // get the lastpost date
  
  $oDB->Query('SELECT max(t.lastpostdate) as f1 FROM '.TABTOPIC.' t ');
  $row = $oDB->Getrow();
  $intDate = strtotime($row['f1']);
  $strY = date('Y',$intDate);
  $strM = date('n',$intDate);
  $strD = date('j',$intDate);

  // query post of this day
  
  switch(substr($oDB->type,0,5))
  {
  case 'mysql': $strWhere = "WHERE LEFT(t.lastpostdate,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'mssql': $strWhere = "WHERE LEFT(t.lastpostdate,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'pg':    $strWhere = "WHERE SUBSTRING(t.lastpostdate,1,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'ibase': $strWhere = "WHERE SUBSTRING(t.lastpostdate FROM 1 FOR 8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'sqlit': $strWhere = "WHERE SUBSTR(t.lastpostdate,1,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'acces': $strWhere = "WHERE LEFT(t.lastpostdate,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'db2':   $strWhere = "WHERE SUBSTR(t.lastpostdate,1,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'ifx':   $strWhere = "WHERE SUBSTRING(t.lastpostdate,1,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  case 'oci':   $strWhere = "WHERE SUBSTR(t.lastpostdate,1,8)='".($strY*10000+$strM*100+$strD)."'"; break;
  default: die('Unknown db type '.$oDB->type);
  }

  $oDB->Query('SELECT count(t.id) as countid FROM '.TABTOPIC.' t '.$strWhere);
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  
  $strQ = LimitSQL($strSelect.$strFrom.$strWhere,$strFullOrder,$intLimit,$_SESSION[QT]['topics_per_page']);
}
if ( $_GET['a']=='news' )
{
  $overview = $L['All_news'];
  $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE type="A"');
  $row = $oDB->Getrow();
  $intCount = $row['countid'];

  $strWhere = 'WHERE t.type="A"';
  $strQ = LimitSQL($strSelect.$strFrom.$strWhere,$strFullOrder,$intLimit,$_SESSION[QT]['topics_per_page']);
}
if ( $_GET['a']=='user' )
{
  $overview = $L['Topics'].S.strtolower($L['By']).S.$_GET['n'];
  $extraparam = '&amp;id='.$_GET['id'].'&amp;n='.$_GET['n'];

  $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE firstpostuser = '.$_GET['id']);
  $row = $oDB->Getrow();
  $intCount = $row['countid'];

  $strWhere = 'WHERE firstpostuser = '.$_GET['id'];

  $strQ = LimitSQL($strSelect.$strFrom.$strWhere,$strFullOrder,$intLimit,$_SESSION[QT]['topics_per_page']);
}

echo $overview,'&nbsp;&nbsp;&middot;&nbsp;&nbsp;',LangS('Result',$intCount),'<br/>';

if ($intCount==0)
{
  echo '<p><a href="qtf_search.php">&laquo; ',$L['Search'],'</a></p>',N;
  include('qtf_p_footer.php');
  exit;
}

// -----
// Query
// -----

$oDB->Query($strQ);

// -- pager --

if ($intCount>($_SESSION[QT]['topics_per_page']*5))
{
  $pager = $L['Page'];
  // firstpage
  if ($intPage == 1)
  {
  $firstpage = ' &laquo;';
  }else{
  $firstpage = ' <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page=1'.$extraparam.'" title="'.$L['First'].'">&laquo;</a>';
  }
  // lastpage
  $il = ceil($intCount/$_SESSION[QT]['topics_per_page']);
  if ($intPage == $il)
  {
  $lastpage = ' &raquo;';
  }else{
  $lastpage = ' <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.$il.$extraparam.'" title="'.$L['Last'].'">&raquo;</a>';
  }
  // 3 pages
  if ($intPage==1)
  {
  $thesepages = ' <b>$intPage</b> <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.($intPage+1).$extraparam.'" title="'.$L['Next'].'">'.($intPage+1).'</a> <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.($intPage+2).$extraparam.'" title="'.$L['Next'].'">'.($intPage+2).'</a>';
  }
  elseif ($intPage==$il)
  {
  $thesepages = ' <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.($intPage-2).$extraparam.'" title="'.$L['Previous'].'">'.($intPage-2).'</a> <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.($intPage-1).$extraparam.'" title="'.$L['Previous'].'">'.($intPage-1).'</a> <b>'.$intPage.'</b> ';
  }
  else
  {
  $thesepages = ' <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.($intPage-1).$extraparam.'" title="'.$L['Previous'].'">'.($intPage-1).'</a> <b>'.$intPage.'</b> <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.($intPage+1).$extraparam.'" title="'.$L['Next'].'">'.($intPage+1).'</a>';
  }
  // finish
  $pager .= $firstpage.$thesepages.$lastpage;
}
elseif ($intCount>$_SESSION[QT]['topics_per_page'])
{
  $pager = $L['Page'];
  for ($i=0; $i<$intCount; $i+=$_SESSION[QT]['topics_per_page'])
  {
    $page = $i/$_SESSION[QT]['topics_per_page']+1;
    if ($intPage==$page)
    {
    $pager .= ' <b>'.$page.'</b>';
    }
    else
    {
    $pager .= ' <a href="'.$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page='.$page.$extraparam.'">'.$page.'</a>';
    }
  }
}
else
{
  $pager = S;
}

$strCommand = '<td>&nbsp;</td><td style="text-align:right">'.$pager.'</td>'.N;

// -- Displays Button line and pager --

echo '<table class="ta_button" cellspacing="0"><tr class="tr_button">'.$strCommand.'</tr></table>',N;

// --------
// Post content
// --------

echo '<table class="ta ta_t" cellspacing="0">',N;
echo '<tr class="tr_t tr_t0">',N;

  /* ======== */
  $arrFields = array(); // SORT LABEL CLASS STYLE
  $arrFields['icon'] = array(FALSE,S, 'th_t th_t_ico th_t_first', 'width:25px');
  if ( $bAddRef ) 
  {
  $arrFields['numid'] = array(TRUE, $L['Ref'], 'th_t th_t_ref', 'width:50px');
  }
  if ( QTF_PREFIX_ICON )
  {
  $arrFields['smile'] = array(FALSE,S, 'th_t th_t_inf', 'width:20px');
  }
  $arrFields['title'] = array(TRUE, $L['Topics'], 'th_t th_t_tit', '');
  $arrFields['you'] = array(FALSE,S, 'th_t th_t_inf', 'width:10px');
  $arrFields['forum'] = array(TRUE, $L['Section'], 'th_t th_t_inf', '');
  $arrFields['firstpostname']= array(TRUE, $L['Topic_starter'], 'th_t th_t_inf', 'width:120px');
  $arrFields['lastpostdate'] = array(TRUE, $L['Last_message'], 'th_t th_t_inf', 'width:130px');
  $arrFields['replies'] = array(TRUE, $L['Replys'], 'th_t th_t_inf th_t_last', 'width:70px;text-align:center');
  /* ======== */
  TableHeader($arrFields,$intCount,$oVIP->selfurl.'?a='.$_GET['a'].'&amp;page=1'.$extraparam,$strOrder,$strDirec);
  /* ======== */

echo '</tr>',N;

  /* ======== */
  $bAddPrefix = true;
  $bAddSection = true;
  $bAddViews = false;
  $strExtra='replies';
  include('qtf_topics_inc.php');
  /* ======== */

echo '<tr class="tr_t tr_t9">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N;

// --------
// Button line and pager
// --------

echo '<table class="ta_hidden" cellspacing="0"><tr class="tr_hidden"><td class="td_hidden" id="zone_pager_bot">',$strCommand,'</td></tr></table>';

echo '<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>';

// HTML END

include('qtf_p_footer.php');