<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('MUV',3,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// ---------
// PRE SETTINGS
// ---------

  // Forum // Topic

  $s = -1;
  $t = -1;
  if ( isset($_GET['s']) ) $s=intval($_GET['s']);
  if ( isset($_GET['t']) ) $t=intval($_GET['t']);

  // Staff members

  if ( $oVIP->role=='M' || $oVIP->role=='A' )
  {
    $arrModerators = GetUsers('M');
  }
  else
  {
    $arrModerators = array();
  }

// ---------
// SUBMITTED
// ---------
//
if ( isset($_POST['Msection']) )
{
  $s = intval($_POST['Msection']);
  $t = intval($_POST['Mtopic']);
  $oVIP->exiturl  = 'qtf_topics.php?s='.$sf;
  $oVIP->exitname = $L['Section'];
  if ( empty($_POST['Maction']) )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_topic.php?s=',$s,'&amp;t=',$t,'">No action</a><meta http-equiv="REFRESH" content="0;url=qtf_topic.php?s=',$s,'&amp;t=',$t,'">';
    }
    else
    {
    header('Location: qtf_topic.php?s='.$s.'&t='.$t);
    }   
    exit;
  }
  if ( substr($_POST['Maction'],0,7)=='status_' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topicstatus&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">',$L['Change'],' ',$L['Status'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topicstatus&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topicstatus&s='.$s.'&t='.$t.'&v='.substr($_POST['Maction'],-1,1));
    }   
    exit;
  }
  if ( substr($_POST['Maction'],0,5)=='type_' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topictype&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">',$L['Change'],' ',$L['Type'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topictype&amp;s=',$s,'&amp;t=',$t,'&amp;v=',substr($_POST['Maction'],-1,1),'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topictype&s='.$s.'&t='.$t.'&v='.substr($_POST['Maction'],-1,1));
    }   
    exit;
  }
  if ( $_POST['Maction']=='reply' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_form_edit.php?s=',$s,'&amp;t=',$t,'&amp;a=re">',$L['Post_reply'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_form_edit.php?s=',$s,'&amp;t=',$t,'&amp;a=re">';
    }
    else
    {
    header('Location: qtf_form_edit.php?s='.$s.'&t='.$t.'&a=re');
    }
    exit;
  }
  if ( $_POST['Maction']=='move' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topicmove&amp;s=',$s,'&amp;t=',$t,'">',$L['Move'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topicmove&amp;s=',$s,'&amp;t=',$t,'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topicmove&s='.$s.'&t='.$t);
    }
    exit;
  }
  if ( $_POST['Maction']=='delete' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qtf_cmd.php?a=topicdelete&amp;s=',$s,'&amp;t=',$t,'">',$L['Delete'],'</a><meta http-equiv="REFRESH" content="0;url=qtf_cmd.php?a=topicdelete&amp;s=',$s,'&amp;t=',$t,'">';
    }
    else
    {
    header('Location: qtf_cmd.php?a=topicdelete&s='.$s.'&t='.$t);
    }
    exit;
  }
}

// INITIALISE

if ( !isset($_GET['s']) ) die('Missing section id...');
if ( !isset($_GET['t']) ) die('Missing topic id...');
$s=intval($_GET['s']);
$t=intval($_GET['t']);

include('bin/qtf_fn_limitsql.php');

$oSEC = new cSection($s);

  if ( $oSEC->type=='1' && ($oVIP->role=='V' || $oVIP->role=='U') )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
  }
  if ( $oSEC->type=='2' && $oVIP->role=='V' )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oTopic = new cTopic($t,$oVIP->id); //provide userid to update stats

  if ( $oSEC->type=='2' && $oVIP->role=='U' && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjectName('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['E_topic_private'].'<br/>'.$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oPost = new cPost();

$strCommand= '';
$limit     = 0;
$PAGEcurr  = 1;
if ( isset($_GET['page']) ) { $limit = ($_GET['page']-1)*$_SESSION[QT]['replies_per_page']; $PAGEcurr=intval($_GET['page']); }
if ( isset($_GET['view']) ) { $_SESSION[QT]['viewmode'] = $_GET['view']; }

$oVIP->selfurl = 'qtf_topic.php';
$oVIP->exiturl = 'qtf_topics.php?s='.$s;
$oVIP->selfname = $L['Messages'];

// --------
// HTML START
// --------

$arrJava = array('img'=>true,'bbc'=>$_SESSION[QT]['show_quick_reply']>'0','iestyle'=>true);

include('qtf_p_header.php');

// COUNT RECORDS

$oDB->Query('SELECT count(p.id) as countid FROM '.TABPOST.' p WHERE p.forum='.$oSEC->id.' AND p.topic='.$oTopic->id);
$row = $oDB->Getrow();
$intPosts = $row['countid'];

// PAGER

$pager = MakePager("index_post.php?s={$oSEC->id}&amp;t={$oTopic->id}",$intPosts,$_SESSION[QT]['topics_per_page'],$PAGEcurr);
if ( $pager!='' ) $pager = $L['Page'].$pager;

// BUTTONS

if ( $oSEC->status=='1' )
{
  $strCommand = '<td class="td_button" style="width:120px"><span class="a_button_off">&nbsp;'.$L['E_section_closed'].'&nbsp;</span></td>'.N;
}
else
{
  $strCommand = '<td class="td_button" style="width:120px">&nbsp;<a class="a_button" href="qtf_form_edit.php?s='.$oSEC->id.'&amp;t='.$oTopic->id.'&amp;a=re">'.$L['Post_reply'].'</a>&nbsp;</td>'.N;
  if ( $oTopic->status=='1' ) $strCommand = '<td class="td_button" style="width:120px"><span class="a_button_off">&nbsp;'.$L['Topic_closed'].'&nbsp;</span></td>'.N;

  if ( ($oVIP->role=='V') && ($_SESSION[QT]['visitor_right']<6) )
  {
  $strCommand = '<td class="td_button" style="width:120px"><span class="a_button_off">&nbsp;'.$L['Post_reply'].'&nbsp;</span></td>'.N;
  }
}

$strCommand = $oVIP->BackButton().$strCommand;

// -- Displays Button line and pager --

echo '<!-- Button and pager -->',N;

// Moderator action

if ( $oVIP->role=='M' || $oVIP->role=='A' )
{
  // list of status
  $strStatus = '';
  foreach ($_SESSION['qtfTstatus'] as $strId => $strValue)
  {
    $strStatus .= '<option value="status_'.$strId.'"'.($oTopic->status==$strId ? ' class="bold"' : '').'>'.$L['Status'].': '.$strValue.'</option>';
  }
  // list of types
  $strTypes = '';
  foreach ($_SESSION['qtfTtypes'] as $strId => $strValue)
  {
    $strTypes .= '<option value="type_'.$strId.'"'.($oTopic->type==$strId ? ' class="bold"' : '').'>'.$L['Type'].': '.$strValue['name'].'</option>';
  }

// returned topic action
echo '<form method="post" action="qtf_topic.php" id="modaction">
<div class="div_modboard">
<span class="span_modboard">',$L['Topic'],S,'<input type="hidden" name="Msection" value="',$oTopic->section,'"/>
<input type="hidden" name="Mtopic" value="',$oTopic->id,'"/>
<input type="hidden" name="Mref" value="',$oTopic->numid,'"/>
';
echo '<select name="Maction" class="small" onchange="document.getElementById(\'modaction\').submit();">
<option value="">',S,'</option>
<option value="reply">',$L['Post_reply'],'...</option>
<option value="move">',$L['Move'],'...</option>
<option value="delete">',$L['Delete'],'...</option>
<option value="" disabled="disabled">-----------------</option>',$strStatus,'
<option value="" disabled="disabled">-----------------</option>',$strTypes,'
</select> <input type="submit" name="Msubmit" value="',$L['Ok'],'" class="small" id="action_ok"/>
<script type="text/javascript">document.getElementById("action_ok").style.visibility="hidden";document.getElementById("action_ok").value="";</script>
</span>
</div>
</form>',N;
}

if ( $_SESSION[QT]['section_desc']=='1' )
{
  if ( $oTopic->numid >= 0 && $oSEC->numfield!='N' ) 
  {
  echo '<!-- Topic description -->',N,'<p id="topic_reference">';
  printf($oSEC->numfield,$oTopic->numid);
  echo '</p>',N,'<!-- Topic description -->',N,N;
  }
}
echo '<table class="ta_button ta_button_top" cellspacing="0">',N;
echo '<tr class="tr_button">',N,$strCommand,'<td id="zone_pager_top">',$pager,'</td>',N,'</tr>',N;
echo '</table>',N;
echo '<!-- End button and pager -->',N,N;

// CONTENT

// stop if no post (or user not creator)

if ( $intPosts==0 )
{
  echo '<br/>',$L['None'],'... ',$L['E_topic_private'],'<br/><br/>',N;
  include('qtf_p_footer.php');
  exit;
}

  /* ------ */
  $state = 'p.*, u.role, u.location, u.avatar, u.signature FROM '.TABPOST.' p, '.TABUSER.' u WHERE p.userid = u.id AND p.topic='.$oTopic->id;
  $oDB->Query( LimitSQL($state,'p.id ASC',$limit,$_SESSION[QT]['replies_per_page'],$intPosts) );
  /* ------ */
  $iMsgNum = $limit;
  $iMsgAdd = 1;
  $intWhile   = 0;
  $strAlt  = '1';
  $strSep  = '<div class="div_post_sep_'.($_SESSION[QT]['viewmode']=='N' ? 'n' : 'c').'"></div>'.N;
  $bButton = true;
  $bAvatar = true;
  /* ------ */
  include('qtf_topic_inc.php');
  /* ------ */

// BUTTON LINE AND PAGER
if ( $intPosts>1 )
{
echo '<!-- Button and pager -->',N;
echo '<table class="ta_button ta_button_bot" cellspacing="0">',N;
echo '<tr class="tr_button">',N;
echo $strCommand,'<td id="zone_pager_bot">',$pager,'</td>',N;
echo '</tr>',N;
echo '</table>',N;
echo '<!-- End button and pager -->',N,N;
}

// QUICK REPLY

if ( $_SESSION[QT]['show_quick_reply']=='1' )
{
  if ( !$oSEC->status && !$oTopic->status )
  {
    if ( $oVIP->role=='V' && $_SESSION[QT]['visitor_right']<7 )
    {
    }
    else
    {
    echo '<!-- Quick reply -->',N;
    echo '<div class="fs_quickreply">',N;
    echo '
    <script type="text/javascript">
    <!--
    function ValidateForm(theForm)
    {
      if (theForm.text.value.length==0) { alert(html_entity_decode("',$L['E_mandatory'],': ',$L['Message'],'")); return false; }
      if (theForm.text.value.length>',$_SESSION[QT]['chars_per_post'],') { alert(html_entity_decode("',$L['E_too_long'],': ',$L['Maximum'],' ',$_SESSION[QT]['chars_per_post'],'")); return false; }
      return null;
    }
    -->
    </script>
    ';
    echo '
    <form method="post" action="qtf_form_edit.php" onsubmit="return ValidateForm(this);">
    <input type="hidden" name="s" value="',$oSEC->id,'"/>
    <input type="hidden" name="t" value="',$oTopic->id,'"/>
    <input type="hidden" name="a" value="re"/>
    <input type="hidden" name="ref" value="',$oTopic->numid,'"/>
    <input type="hidden" name="icon" value="00"/>
    <input type="hidden" name="title" value=""/>',N;
    echo $L['Quick_reply'],S,S,N;
    include('qtf_form_button.php');
    echo '&nbsp;&nbsp;<input type="submit" id="dopreview" name="dopreview" value="',$L['Advanced_reply'],'" class="small"/><br/>',N;
    echo '<a href="textarea"></a>';
    echo '<textarea id="text" name="text" rows="5" wrap="virtual" cols="85"></textarea>';
    echo '&nbsp;<input type="submit" id="dosend" name="dosend" value="',$L['Send'],'"/>',N;
    echo '</form>',N,'</div>',N;
    echo '<!-- End Quick reply -->',N,N;
    }
  }
}

// HTML END

include('qtf_p_footer.php');

?>