<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
if ( !$oVIP->CanAccess('V',0,true) ) die($L['E_access']);

// INITIALISE

include('bin/qt_lib_smtp.php');
include($_SESSION[QT]['language'].'/qtf_lang_reg.inc');

$oVIP->selfurl = 'qtf_usr_pwd_for.php';
$oVIP->selfname = $L['Forgotten_pwd'];
$oVIP->exiturl = 'qtf_index.php';
$oVIP->exitname = $L['Section'];

$strTitle = '';
$strMail = '';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check value

  $strTitle = trim($_POST['title']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  if (!QTislogin($strTitle)) $qtf_error=$L['Username'].S.$L['E_invalid'];

  $strMail = trim($_POST['mail']);
  if (!QTismail($strMail)) $qtf_error=$L['Email'].S.$L['E_invalid'];

  if ( empty($qtf_error) )
  {
    // check login exists
    $oDB->Query('SELECT count(id) as countid FROM '.TABUSER.' WHERE name="'.$strTitle.'" and mail="'.$strMail.'"');
    $row = $oDB->Getrow();
    if ($row['countid']!=1) $qtf_error=$L['Username'].'/'.$L['Email'].S.$L['E_invalid'];

    // read user info
    $oDB->Query('SELECT parentmail,children FROM '.TABUSER.' WHERE name="'.$strTitle.'" and mail="'.$strMail.'"');
    $row = $oDB->Getrow();
    $strParentmail = $row['parentmail'];
    $strChildren = $row['children'];

    // execute
    if ( empty($qtf_error) )
    {
      $newpwd = 'T'.rand(0,9).rand(0,9).'Q'.rand(0,9).rand(0,9);
      $issuedate = date('Y-m-d H:i:s');
      $oDB->Query('UPDATE '.TABUSER.' SET pwd="'.sha1($newpwd).'" WHERE name="'.$strTitle.'" AND mail="'.$strMail.'"');

      // send email
      $strSubject='New password';
      $strMessage="Please find here after a new password to access the board {$_SESSION[QT]['site_name']}.\nLogin: %s\nPassword: %s";
      $strFile = $_SESSION[QT]['language'].'/mail_pwd.inc';
      if ( file_exists($strFile) ) include($strFile);
      $strMessage = sprintf($strMessage,$strTitle,$newpwd);
      QTmail($strMail,$strSubject,$strMessage,QTF_HTML_CHAR);
      $strEndmessage = str_replace("\n",'<br/>',$strMessage);

      // send parent email (if coppa)
      if ( $strChildren!='0' )
      {
        if ( $_SESSION[QT]['register_coppa']=='1')
        {
          $strSubject='New password';
          $strMessage="Here is then new password of your children.\nLogin: %s\nPassword: %s";
          $strFile = $_SESSION[QT]['language'].'/mail_pwd_coppa.inc';
          if ( file_exists($strFile) ) { include($strFile); }
          $strMessage = sprintf($strMessage, $strTitle,$newpwd);
          QTmail($_POST['parentmail'],$strSubject,$strMessage,QTF_HTML_CHAR);
        }
      }

      // exit
      if ( $_SESSION[QT]['register_mode']!='direct' ) $strEndmessage='';
      $oVIP->EndMessage(NULL,$L['S_update'].'<br/><br/>'.$strEndmessage,$_SESSION[QT]['skin_dir'],0);
    }
  }
}

// --------
// HTML START
// --------

include('qtf_p_header.php');

echo '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert(html_entity_decode("',$L['E_mandatory'],': ',$L['Username'],'")); return false; }
  if (theForm.mail.value.length==0) { alert(html_entity_decode("',$L['E_mandatory'],': ',$L['Email'],'")); return false; }
}
-->
</script>
';

HtmlMsg(0,'350px','login_header',$oVIP->selfname);
echo '
<form method="post" action="',$oVIP->selfurl,'" onsubmit="return ValidateForm(this);">
<p>',$L['Reg_pass'],'</p>
<p style="text-align:right">',$L['Username'],'&nbsp;<input type="text" id="title" name="title" size="24" maxlength="24" value="',$strTitle,'"/></p>
<p style="text-align:right">',$L['Email'],'&nbsp;<input type="text" id="mail" name="mail" size="24" maxlength="64" value="',$strMail,'" onKeyUp="handle_keypress(event,\'ok\')"/></p>
<p style="text-align:right">',(!empty($qtf_error) ? '<span class="error">'.$qtf_error.'</span> ' : ''),'
<input type="submit" id="ok" name="ok" value="',$L['Ok'],'"/></p>
</form>
';
HtmlMsg(1);

// HTML END

include('qtf_p_footer.php');

?>